package org.linlinjava.jz.admin.vo;

import java.io.Serializable;

import org.apache.shiro.authc.UsernamePasswordToken;

public class MyUsernamePasswordToken extends UsernamePasswordToken implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Integer userType;

	public MyUsernamePasswordToken(String username, String password, Integer userType) {
		super(username, password != null ? password.toCharArray() : null, false, null);
		this.userType = userType;
	}

	public Integer getUserType() {
		return userType;
	}

	public void setUserType(Integer userType) {
		this.userType = userType;
	}
 

}
